﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Edge.Core.Domain.FccMachineInfo
{
    /// <summary>
    /// 油机表
    /// </summary>
    [Table("qr_machine")]
    public class FccMachineInfo
    {
        /// <summary>
        /// 油机id
        /// </summary>
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long Id {  get; set; }

        /// <summary>
        /// 油机名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 连接FCC端口
        /// </summary>
        public int Port { get; set; }

        /// <summary>
        /// 关联的站点id
        /// </summary>
        [ForeignKey("stationInfo")]
        public long StationId { get; set; }

        public FccStationInfo.FccStationInfo stationInfo { get; set; }

        public ICollection<FccNozzleInfo.FccNozzleInfo> fccNozzleInfos { get; set; }
    }
}
