﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Edge.Core.Domain.FccNozzleInfo
{
    [Table("qr_nozzle")]
    public class FccNozzleInfo
    {
        /// <summary>
        /// 油枪id
        /// </summary>
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long Id { get; set; }

        ///// <summary>
        ///// 油机连接FCC端口
        ///// </summary>
        //public int Port { get; set; }

        /// <summary>
        /// 云端油枪id
        /// </summary>
        public long CloundNozzleId { get; set; } = 0;

        /// <summary>
        /// 加油点
        /// </summary>
        public int FuelPoint { get; set; }

        /// <summary>
        /// 内部枪号
        /// </summary>
        public int InternalNum { get; set; }

        /// <summary>
        /// 外部枪号
        /// </summary>
        public int ExternalNum { get; set; }

        /// <summary>
        /// 关联油罐id
        /// </summary>
        [ForeignKey("Tank")]
        public long TankId { get; set; }

        /// <summary>
        /// 关联油罐号
        /// </summary>
        public int TankNum { get; set; }

        /// <summary>
        /// 关联的油机id
        /// </summary>
        [ForeignKey("FccMachineInfo")]
        public long MachineId { get; set; }

        public FccTankInfo.FccTankInfo Tank { get; set; }

        public FccMachineInfo.FccMachineInfo FccMachineInfo { get; set; }
    }
}
