﻿namespace Edge.Core.Domain.FccNozzleInfo.Input
{
    public class UploadNozzleInfoInput
    {
        /// <summary>
        /// 油枪id
        /// </summary>
        public long? Id { get; set; }

        /// <summary>
        /// 油机连接FCC端口
        /// </summary>
        public int Port { get; set; }

        /// <summary>
        /// 加油点
        /// </summary>
        public int FuelPoint { get; set; }

        /// <summary>
        /// 内部枪号
        /// </summary>
        public int InternalNum { get; set; }

        /// <summary>
        /// 外部枪号
        /// </summary>
        public int NozzleNum { get; set; }

        /// <summary>
        /// 关联油罐id
        /// </summary>
        public long TankId { get; set; }

        /// <summary>
        /// 关联油罐号
        /// </summary>
        public int TankNum { get; set; }

        public FccNozzleInfo ToComponent()
        {
            return new FccNozzleInfo()
            {
                FuelPoint = this.FuelPoint,
                InternalNum = this.InternalNum,
                ExternalNum = this.NozzleNum,
                TankId = this.TankId,
                TankNum = this.TankNum
            };
        }
    }

    public class UploadNozzleInfoForMazhineInput
    {
        /// <summary>
        /// 油枪id
        /// </summary>
        public long? Id { get; set; }

        /// <summary>
        /// 云端油枪id
        /// </summary>
        public long? CloundNozzleId { get; set; }

        /// <summary>
        /// 加油点
        /// </summary>
        public int FuelPoint { get; set; }

        /// <summary>
        /// 内部枪号
        /// </summary>
        public int InternalNum { get; set; }

        /// <summary>
        /// 外部枪号
        /// </summary>
        public int NozzleNum { get; set; }

        /// <summary>
        /// 关联油罐id
        /// </summary>
        public long TankId { get; set; }

        /// <summary>
        /// 关联油罐号
        /// </summary>
        public int TankNum { get; set; }

        /// <summary>
        /// 油机id
        /// </summary>
        public long MachineId { get; set; }

        public FccNozzleInfo ToComponent()
        {
            return new FccNozzleInfo()
            {
                CloundNozzleId = this.CloundNozzleId ?? 0,
                FuelPoint = this.FuelPoint,
                InternalNum = this.InternalNum,
                ExternalNum = this.NozzleNum,
                TankId = this.TankId,
                TankNum = this.TankNum,
                MachineId = this.MachineId
            };
        }
    }
}
