﻿namespace Edge.Core.Domain.FccNozzleInfo.Output
{
    public class DetailsNozzleInfoOutput
    {
        /// <summary>
        /// 油枪id
        /// </summary>
        public long Id { get; set; }

        /// <summary>
        /// 云端油枪id
        /// </summary>
        public long CloundNozzleId { get; set; }

        /// <summary>
        /// 加油点
        /// </summary>
        public int FuelPoint { get; set; }

        /// <summary>
        /// 内部枪号
        /// </summary>
        public int InternalNum { get; set; }

        /// <summary>
        /// 外部枪号
        /// </summary>
        public int NozzleNum { get; set; }

        /// <summary>
        /// 关联油罐id
        /// </summary>
        public long TankId { get; set; }

        /// <summary>
        /// 关联油罐号
        /// </summary>
        public int TankNum { get; set; }

        /// <summary>
        /// 可关联的油罐
        /// </summary>
        public List<RelatableTank> RelatableTanks { get; set; }

        /// <summary>
        /// 油机id
        /// </summary>
        public long MachineId { get; set; }

        /// <summary>
        /// 油品名
        /// </summary>
        public string OilName { get; set; }

        public DetailsNozzleInfoOutput() { }

        public DetailsNozzleInfoOutput(FccNozzleInfo fccNozzleInfo)
        {
            this.Id = fccNozzleInfo.Id;
            this.CloundNozzleId = fccNozzleInfo.CloundNozzleId;
            this.FuelPoint = fccNozzleInfo.FuelPoint;
            this.InternalNum = fccNozzleInfo.InternalNum;
            this.NozzleNum = fccNozzleInfo.ExternalNum;
            this.TankId = fccNozzleInfo.TankId;
            this.TankNum = fccNozzleInfo.TankNum;
            this.MachineId = fccNozzleInfo.MachineId;
        }
        public class RelatableTank
        {
            /// <summary>
            /// 油罐id
            /// </summary>
            public long TankId { get; set; }

            /// <summary>
            /// 油罐号
            /// </summary>
            public int TankNum { get; set; }
        }
    }

    
}
