﻿using Edge.Core.Domain.FccNozzleInfo.Input;

namespace FccLite.Web.Repositories.FccNozzleInfo
{
    public interface INozzleInfoReposity
    {
        /// <summary>
        /// 根据油枪 id 找油枪信息
        /// </summary>
        /// <param name="id">油枪id</param>
        /// <returns></returns>
        Task<Edge.Core.Domain.FccNozzleInfo.FccNozzleInfo?> GetNozzleInfoById(long id);

        /// <summary>
        /// 新增、修改油枪信息
        /// </summary>
        /// <param name="uploadNozzleInfoInput">油枪信息</param>
        /// <returns></returns>
        Task<long> UploadNozzleInfo(UploadNozzleInfoInput uploadNozzleInfoInput);

        /// <summary>
        /// 新增、修改油枪信息
        /// </summary>
        /// <param name="uploadNozzleInfoInput">油枪信息</param>
        /// <returns></returns>
        Task<long> UploadNozzleInfoFroMachine(UploadNozzleInfoForMazhineInput uploadNozzleInfoInput);

        /// <summary>
        /// 根据id 删除油枪信息
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<Edge.Core.Domain.FccNozzleInfo.FccNozzleInfo?> DeleteNozzleInfoById(long id);


        /// <summary>
        /// 根据油机id 获取油枪
        /// </summary>
        /// <param name="machineId"></param>
        /// <returns></returns>
        Task<List<Edge.Core.Domain.FccNozzleInfo.FccNozzleInfo>> FindNozzlesByMachineId(long machineId);
    }
}
