import { createApp } from 'vue'
import pinia from '/@/stores/index'
import App from '/@/App.vue'
import router from '/@/router'
import { directive } from '/@/directive/index'
import { i18n } from '/@/i18n/index'
import other from '/@/utils/other'

import ElementPlus from 'element-plus'
import '/@/theme/index.scss'
import VueGridLayout from 'vue-grid-layout'
import globalProperties from '/@/globalProperties'
// import ECharts   from '/@/components/echart/index.vue'
import DataVVue3 from '@kjgl77/datav-vue3'
// 一次性解决时区和日期格式问题
import moment from 'moment'
Date.prototype.toISOString = function(){
    return moment(this).format('YYYY-MM-DDTHH:mm:ss')
}


const app = createApp(App)



directive(app)
other.elSvg(app)

app.use(pinia).use(router).use(ElementPlus).use(i18n).use(VueGridLayout).use(DataVVue3)
.use(globalProperties).mount('#app')
